﻿'use strict';

$.ajaxSetup({
  timeout: 1000,
  async: false
});

function nf(number, decimals, dec_point, thousands_sep) {
  number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
  var n = !isFinite(+number) ? 0 : +number,
      prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
      sep = typeof thousands_sep === 'undefined' ? ',' : thousands_sep,
      dec = typeof dec_point === 'undefined' ? '.' : dec_point,
      s = '',
      toFixedFix = function toFixedFix(n, prec) {
    var k = Math.pow(10, prec);
    return '' + Math.round(n * k) / k;
  };
  s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
  if (s[0].length > 3) {
    s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
  }
  if ((s[1] || '').length < prec) {
    s[1] = s[1] || '';
    s[1] += new Array(prec - s[1].length + 1).join('0');
  }
  return s.join(dec);
};

function getUserData(vueObject) {
  var userDataURL = './res/ex/user.json';
  if (!window.user) {
    $.get(userDataURL, function (data) {
      window.user = data;
      window.user_settings = data.settings;
      vueObject.user = window.user;
      vueObject.user_settings = window.user_settings;
      vueObject.user_settings_tariff = window.user.settings.tariff;
    });
  } else {
    vueObject.user = window.user;
    vueObject.user_settings = window.user_settings;
    vueObject.user_settings_tariff = window.user.settings.tariff;
  };
};

function getAppData(vueObject) {
  var appDataURL = './data/app';
  if (!window.appData) {
    $.get(appDataURL, function (data) {
      window.appData = data;
      vueObject.app = window.app;
    });
  } else {
    vueObject.app = window.appData;
  }
};

function initialStatus() {
  return {
    ready: false,
    message: 'Получение данных из приложения...',
    img: './res/img/wait.gif'
  };
}

function errorStatus(error) {
  return {
    ready: false,
    message: error.response.data,
    img: './res/img/error.png'
  };
}

Vue.filter('currency', function (value) {
  if (!value) return '0,00';
  return nf(value, 2, ',', ' ');
});